/* .dropdown-component {
  width: 244px;
  /* // @include largeDevice {
  //   width: calc(244px + 2vw);
  // } 
}
.dropdown-component .filter {
  width: 147px;
} */

.input-label {
  /* font-family: Roboto; */
  font-family: 'Poppins', sans-serif;
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: 0.98px;
  color: #595959;
  text-transform: uppercase;
}
.dropdown-component .input-label .filter {
  font-size: 11px;
  letter-spacing: 0.9px;
  color: #595959;
}
.dropdown-component .input-label .lable-error {
  color: #fc5e34;
}
.dropdown-component .input-error {
  /* font-family: Roboto; */
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.71;
  letter-spacing: normal;
  color: #fc5e34;
}
.dropdown-component .custom-dropdown.show .custom-dropdown-dispaly {
  border: solid 1px #3f3e45;
  color: #3f3e45;
}
.dropdown-component .custom-dropdown-dispaly {
  border-radius: 3px;
  border: solid 1px #b2b2b5;
  /* font-family: Roboto; */
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #000;
  height: 45px;
  overflow: hidden;
  text-overflow: ellipsis;
  /* // padding: 5px 20px 5px 10px; */
  text-align: left;

  width: 100%;
  text-decoration: none;
}
.dropdown-component .custom-dropdown-dispaly ::before {
  /* // content: url('../../images/arrow/black/SelectDropDownArrow/arrow-down-1.png'); */
  position: absolute;
  right: 9px;
}
.dropdown-component .custom-dropdown-dispaly .filter {
  height: 30px;
  font-size: 14px;
  color: #000;
  border: solid 1px #595959;
}
.dropdown-component .custom-dropdown-dispaly .dropdown-error {
  border-color: #fc5e34 !important;
}
.dropdown-component .custom-dropdown-dispaly :disabled {
  background-color: #ededed;
  border-color: #b2b2b5;
}
.dropdown-component .custom-dropdown-dispaly:hover,
.custom-dropdown-dispaly:focus {
  text-decoration: none;
  color: #000;
}
.dropdown-component .dropdown-toggle::after {
  content: none;
  display: inline-block;
  margin-left: 5.3em;
  vertical-align: 0.255em;
  content: '';
  border: none;
  background-image: 'url(../images/drop-down-arrow.svg)';
  width: 12px;
  height: 8px;
  position: absolute;
  background-size: cover;
  background-repeat: no-repeat;
  top: 20px;
  right: 19px;
}

.dropdown-component .custom-dropdown-list {
  width: 100%;
  padding: 0px;
  border: solid 1px #e0e0e1;
  border-radius: 3px;

  max-height: 168px;
  overflow-y: scroll;
}

.custom-dropdown-list::-webkit-scrollbar {
  width: 4px;
  /* background-color: #e42235; */
}
.custom-dropdown-list::-webkit-scrollbar-track {
  background-color: transparent;
}
.custom-dropdown-list::-webkit-scrollbar-thumb {
  border-radius: 10px;
  box-shadow: inset 0 0 6px rgba(0,0,0,.3);
  background-color: #e42235;
  border: 1px solid #e42235;
}
.dropdown-component .custom-dropdown-list .filter {
  max-height: 126px;
}
.dropdown-component .custom-dropdown-list .custom-dropdown-items {
  min-height: 40px;
  white-space: normal;
  word-break: break-word;
  display: flex;
  padding: 7.5px 10px;

  align-items: center;
  border-bottom: 1px solid #e0e0e1;
  color: #000;
  /* font-family: Roboto; */
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  font-weight: normal;
  letter-spacing: 0;
  line-height: 24px;
}
.dropdown-component .custom-dropdown-list .custom-dropdown-items :active {
  background-color: transparent;
}
.dropdown-component .custom-dropdown-list .custom-dropdown-items .filter {
  min-height: 30px;
  font-size: 14px;
  padding: 3px 10px;
}
.dropdown-component .custom-dropdown-list .dropdown-item.active {
  background-color: transparent;
  font-weight: 500;
}
.dropdown-component .custom-dropdown-list .no-option-message {
  height: 35px;
  display: flex;
  padding: 10px;
  align-items: center;
  border-bottom: 1px solid #e2e6f2;
  color: #000;
  /* font-family: Roboto; */
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
  font-weight: normal;
  letter-spacing: 0;
  line-height: 24px;
  opacity: 0.8;
}
